package info.bukova.isspst.services.requirement;

import info.bukova.isspst.data.TripBill;
import info.bukova.isspst.data.TripRequirement;

import java.util.List;

public interface TripRequirementService extends RequirementBaseService<TripRequirement>
{
	
	public void loadPassangers(TripRequirement entity);

	public TripBill getTripBill(TripRequirement requirement);

	/**
	 * Vrátí seznam vyúčtování, která josu vázána k požadavku
	 *
	 * @param entity požadavek
	 * @return seznam vyúčtování
	 */
	public List<TripBill> getBills(TripRequirement entity);
	
}
